Event: change_order.updated

This webhook is triggered when a change order event 'change_order.updated' occurs. Your endpoint will receive a POST request with the following payload structure.

change_order.updated is triggered by the following fields changes:

  • stepId
  • name
  • key
  • position
  • orderNumber
  • reasonForChange
  • projectCategories
  • changeOrderType
  • billOfQuantities
  • projectCompanies
  • probability
  • assignee
  • cost
  • description
  • isCompleted
Payload

Payload delivered for the change_order.updated event.

uuid
required

Unique identifier for this specific webhook event delivery.

string
enum
required

The name of the event that triggered this webhook.

Allowed:
data
object
required

The payload specific to the event...

Responses
200

OK. REQUIRED acknowledgment response. Your endpoint MUST return an OK status code that is >= 200 and < 300, within 5 seconds to confirm successful receipt. Any response body will be ignored by Capmo.

default

Error processing webhook. Returning a >= 300 status (or timing out) indicates failure to process the webhook. Capmo may attempt retries based on its policy.

LoadingLoading…